/** Funciones JavaScript que se ejecutan desde HTML */

function detecta_orientacion() {
    var orientacion = (screen.orientation || {}).type || screen.mozOrientation || screen.msOrientation;
    if (orientacion == "landscape-primary" || orientacion =="landscape-secondary") {
        Android.muestra_mensaje("Cambiando a orientación horizontal...");
        location.href="portada_horizontal.html";
    }
    if (orientacion == "portrait-primary" || orientacion == "portrait-secondary") {
        Android.muestra_mensaje("Cambiando a orientación vertical...");
        location.href="portada_vertical.html";
    }
}

function acercade() {
    Android.muestra_alerta("INFORMACIÓN", "    Esta aplicación permite llevar un control sobre los\n    movimientos de contenedores que se realizan en\n    la terminal de contenedores del Puerto de Melilla    \n\n    APP desarrollada por la\n    División de Sistemas de Información y Comunicaciones\n    de la Autoridad Portuaria de Melilla\n\n    Versión: 05/06/2020 (Android)\n\n    Contacto: informatica@puertodemelilla.es", "CERRAR");
}

function muestra_login_id_trabajador() {
    document.write(Android.muestra_login_id_trabajador());
}

function login_salto(id_trabajador) {
    var id_trabajador = document.login.id_trabajador.value;
    if (id_trabajador!=null) {
        document.login.password.focus();
    }
}

function comprueba_login(id_trabajador, password, orientacion) {
    var id_trabajador = document.login.id_trabajador.value;
    var password = document.login.password.value;
    var orientacion = document.login.orientacion.value;
    document.login.password.value = null;
    if (id_trabajador=="") {
            Android.muestra_alerta("AVISO - Trabajador", "Debes seleccionar un trabajador", "ACEPTAR");
            return null;
        } else if (password=="") {
            Android.muestra_alerta("AVISO - Contraseña", "Debes introducir una contraseña", "ACEPTAR");
            return null;
        }
    Android.comprueba_login(id_trabajador, password, orientacion);
}

function muestra_nombre_trabajador() {
    document.write(Android.muestra_nombre_trabajador());
}

function muestra_consignatario() {
    document.write(Android.muestra_consignatario());
}

function matricula_texto_salto() {
    document.insertar.matricula_texto.focus();
}

function matricula_calcula_u(matricula_texto) {
    document.insertar.matricula_u.value = null;
    var matricula_texto = document.insertar.matricula_texto.value;
    if (matricula_texto.length==3) {
        document.insertar.matricula_u.value = "U";
    }
}

function matricula_numero_salto(matricula_texto) {
    var matricula_texto = document.insertar.matricula_texto.value;
    if (matricula_texto.length==3) {
        document.insertar.matricula_numero.focus();
    }
}

function matricula_numero_max6(matricula_numero) {
    var matricula_numero = document.insertar.matricula_numero.value;
    if (matricula_numero.length>6) {
        document.insertar.matricula_numero.value = matricula_numero.slice(0,6);
    }
}

function matricula_calcula_digito_control(matricula_texto, matricula_u, matricula_numero) {
    document.insertar.matricula_control.value = null;
    var matricula_texto = document.insertar.matricula_texto.value;
    var matricula_u = document.insertar.matricula_u.value;
    var matricula_numero = document.insertar.matricula_numero.value;
    if (matricula_texto.length==3 && matricula_u.length==1 && matricula_numero.length==6) {
        document.insertar.matricula_control.value = Android.matricula_calcula_digito_control(matricula_texto, matricula_u, matricula_numero);
    }
}

function inserta_operacion(id_consignatario, matricula_texto, matricula_u, matricula_numero, matricula_control, vacio, origen, destino) {
    var id_consignatario = document.insertar.id_consignatario.value;
    if (id_consignatario=="") {
            Android.muestra_alerta("AVISO - Consignatario", "Debes seleccionar un consignatario", "ACEPTAR");
            return null;
    }
    var matricula_texto = document.insertar.matricula_texto.value;
    var matricula_u = document.insertar.matricula_u.value;
    var matricula_numero = document.insertar.matricula_numero.value;
    var matricula_control = document.insertar.matricula_control.value;
    if (matricula_texto.length<3 || matricula_u=="" || matricula_numero.length<6 || matricula_control=="") {
        Android.muestra_alerta("AVISO - Matrícula", "Debes introducir una matrícula correcta", "ACEPTAR");
        return null;
    }
    if (document.insertar.vacio.checked) {
        var vacio = "Si";
    } else {
        var vacio = "No";
    }
    if (document.insertar.origen[0].checked) {
        var origen = document.insertar.origen[0].value;
    } else if (document.insertar.origen[1].checked) {
            var origen = document.insertar.origen[1].value;
    } else if (document.insertar.origen[2].checked) {
            var origen = document.insertar.origen[2].value;
    } else {
        Android.muestra_alerta("AVISO - Origen", "Debes seleccionar un origen", "ACEPTAR");
        return null;
    }
    if (document.insertar.destino[0].checked) {
        var destino = document.insertar.destino[0].value;
    } else if (document.insertar.destino[1].checked) {
        var destino = document.insertar.destino[1].value;
    } else if (document.insertar.destino[2].checked) {
        var destino = document.insertar.destino[2].value;
    } else {
        Android.muestra_alerta("AVISO - Destino", "Debes seleccionar un destino", "ACEPTAR");
        return null;
    }
    Android.inserta_operacion(id_consignatario, matricula_texto, matricula_u, matricula_numero, matricula_control, vacio, origen, destino);
    document.getElementById('ultimas_operaciones').src="ultimas_operaciones.html";
    document.insertar.matricula_texto.value = null;
    document.insertar.matricula_u.value = null;
    document.insertar.matricula_numero.value = null;
    document.insertar.matricula_control.value = null;
    document.insertar.matricula_texto.focus();
}

function muestra_ultimas_operaciones() {
    document.write(Android.muestra_ultimas_operaciones());
}

function muestra_numero_ultimas_operaciones() {
    document.write(Android.muestra_numero_ultimas_operaciones());
}

function elimina_operacion(id_operacion) {
    Android.elimina_operacion(id_operacion);
}

function finaliza_sesion() {
    Android.finaliza_sesion();
}

function volcar_operaciones() {
    Android.volcar_operaciones();
}
