package apml.contenedores;

import android.app.Activity;
import android.database.sqlite.SQLiteDatabase;
import android.os.Bundle;
import android.webkit.WebSettings;
import android.webkit.WebView;
import android.webkit.WebViewClient;

/**
 * Clase principal que ejecuta el WebView de la aplicación
 * @author José Ramón Cabanillas García
 * @version 05/06/2020
 */
public class MainActivity extends Activity {

    private WebView contenedores;
    private String id_trabajador_sesion;
    private SQLiteDatabase db_contenedores;

    /**
     * Instancia la base de datos local y la vista web
     * @param savedInstanceState Instancia
     */
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main); // Asociamos el contenido de la vista a activity_main.xml
        BaseDeDatosLocal db = new BaseDeDatosLocal(this, "db_contenedores", null, 1); // Creamos el objeto que contendrá la base de datos local
        db_contenedores = db.getWritableDatabase(); // Establecemos como editable la base de datos y la inicializamos
        db.insercion_inicial(db_contenedores); // Realizamos en db la inserción inicial de datos necesarios para trabajar con la base
        contenedores = (WebView) findViewById(R.id.webview); // Asignamos la vista a una variable WebView
        contenedores.setWebViewClient(new WebViewClient()); // Para que los enlaces se abran en el navegador de la propia app
        WebSettings configuracion = contenedores.getSettings(); // Asignamos a una variable la configuración de la vista
        configuracion.setJavaScriptEnabled(true); // En esta configuración, permitimos que se ejecute JavaScript
        contenedores.addJavascriptInterface(new JavaScriptInterface(this, db_contenedores, id_trabajador_sesion, contenedores), "Android"); // Añadimos a nuestra vista un objeto JavaScript llamado "Android" para usar sus funciones
        contenedores.loadUrl("file:///android_asset/index.html"); // Cargamos la página inicial en la vista
    }
}
