package apml.contenedores;

import android.content.Context;
import android.database.sqlite.SQLiteDatabase;
import android.webkit.WebView;

import org.junit.Before;
import org.junit.Test;

import static org.junit.Assert.assertEquals;
import static org.junit.Assert.assertNotNull;

public class UnitTest {

    private JavaScriptInterface jsi;
    private Context c;
    private SQLiteDatabase db;
    private String id_trabajador;
    private WebView wv;

    /**
     *  Realiza esta acción antes de cada test
     */
    @Before
    public void setUp() {
        jsi = new JavaScriptInterface(c, db, id_trabajador, wv);
    }

    /**
     * Comprueba que el objeto JavaScript creado existe
     */
    @Test
    public void interfaz_javascript_creada_test(){
        assertNotNull(jsi);
    }

    /**
     * Comprueba que el dígito de control calculado de una matrícula coincide con el original
     * Supera el test con una matrícula real de la que se conoce su dígito de control
     */
    @Test
    public void matricula_calcula_digito_control_test() {
        int resultado = jsi.matricula_calcula_digito_control("TCL", "U", "672226");
        assertEquals(7, resultado);
    }

    /**
     * Comprueba que se crea un objeto BaseDeDatosLocal
     */
    @Test
    public void base_datos_local_creada_test() {
        BaseDeDatosLocal bd = new BaseDeDatosLocal(c, "bd_test", null, 1);
        assertNotNull(bd);
    }

}